Package: grails.boot.config.tools

## [Groovy] Class ProfilingGrailsApplicationPostProcessor

- grails.boot.config.tools.ProfilingGrailsApplicationPostProcessor

- All Implemented Interfaces and Traits:
    org.springframework.beans.factory.config.BeanPostProcessor

      class ProfilingGrailsApplicationPostProcessor
      extends GrailsApplicationPostProcessor
      implements org.springframework.beans.factory.config.BeanPostProcessor

  Profiles bean creation outputting data to the console

  Authors:
    Graeme Rocher
  Since:
    3.0

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private long` | `startTime` |

  - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class GrailsApplicationPostProcessor` | `RELOADING_ENABLED, applicationClass, applicationContext, classes, grailsApplication, lifeCycle, loadExternalBeans, pluginManager, reloadingEnabled`

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `long` | `startTime`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `ProfilingGrailsApplicationPostProcessor (GrailsApplicationLifeCycle lifeCycle, org.springframework.context.ApplicationContext applicationContext, java.lang.Class[] classes)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `java.lang.Object` | `postProcessAfterInitialization(java.lang.Object bean, java.lang.String beanName)`
    `` | `java.lang.Object` | `postProcessBeforeInitialization(java.lang.Object bean, java.lang.String beanName)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class GrailsApplicationPostProcessor` | `customizeGrailsApplication, customizePluginManager, initializeGrailsApplication, loadApplicationConfig, onApplicationEvent, performGrailsInitializationSequence, postProcessBeanDefinitionRegistry, postProcessBeanFactory, setApplicationContext`

- - ### Field Detail

    - #### private long startTime

  - ### Property Detail

    - #### long startTime

  - ### Constructor Detail

    - #### ProfilingGrailsApplicationPostProcessor(GrailsApplicationLifeCycle lifeCycle, org.springframework.context.ApplicationContext applicationContext, java.lang.Class[] classes)

  - ### Method Detail

    - #### @java.lang.Override java.lang.Object postProcessAfterInitialization(java.lang.Object bean, java.lang.String beanName)

    - #### @java.lang.Override java.lang.Object postProcessBeforeInitialization(java.lang.Object bean, java.lang.String beanName)